
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: gcc41: build java, and don't run testsuite by default

This patch enables building java on ARM platforms.

It also disables running the testsuite by default, which is a private
hacky developer-only patch which shouldn't be going anywhere near
upstream.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -9,7 +9,6 @@
 %else
 %define build_ada 0
 %endif
-%ifnarch %{arm}
 %define build_java 1
 # If you don't have already a usable gcc-java and libgcj for your arch,
 # do on some arch which has it rpmbuild -bc --with java_tar gcc41.spec
@@ -17,12 +16,12 @@
 # With this then on the new arch do rpmbuild -ba -v --with java_bootstrap gcc41.spec
 %define bootstrap_java %{?_with_java_bootstrap:%{build_java}}%{!?_with_java_bootstrap:0}
 %define build_java_tar %{?_with_java_tar:%{build_java}}%{!?_with_java_tar:0}
+%ifnarch %{arm}
 %define build_objc 1
 %else
-%define build_java 0
 %define build_objc 0
 %endif
-%define run_tests 1
+%define run_tests 0
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -692,7 +691,10 @@ CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$
 %else
 	--enable-java-awt=gtk --disable-dssi --enable-plugin \
 	--with-java-home=%{_prefix}/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre \
-	--enable-libgcj-multifile --enable-java-maintainer-mode \
+	--enable-libgcj-multifile \
+%if !%{bootstrap_java}
+	--enable-java-maintainer-mode \
+%endif
 	--with-ecj-jar=/usr/share/java/eclipse-ecj.jar \
 %endif
 %ifarch %{arm}
